Subject: Re: [EGIT PATCH 08/10] Drop unused end parameters in hunk parsing code

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 16 Mar 2009 13:39:35 -0700

Robin Rosenberg <[email-masked]> wrote:
> Is this safe, or should they actually be used?

Yea, these are safe to remove.  At worst we move one line beyond
the end marker given to us by the user in Patch.parse() and then
abort the parse loop when we find ptr >= end.  We should also never
exceed the byte[] length; the ParseUtils methods we use do their
own array bound checks internally.

>  .../org/spearce/jgit/patch/CombinedHunkHeader.java |    2 +-
>  .../src/org/spearce/jgit/patch/HunkHeader.java     |    2 +-
>  .../src/org/spearce/jgit/patch/Patch.java          |    8 ++++----
>  3 files changed, 6 insertions(+), 6 deletions(-)

-- 
Shawn.